# Uses of Class
org.xnio.channels.AssembledStreamChannel

Packages that use AssembledStreamChannel
Package
Description
org.xnio.channels
The core XNIO channel API.

## Uses of AssembledStreamChannel in org.xnio.channels

Subclasses of AssembledStreamChannel in org.xnio.channels
Modifier and Type
Class
Description
`class`
`AssembledConnectedSslStreamChannel`
A connected SSL stream channel assembled from a stream source and stream sink.
`class`
`AssembledConnectedStreamChannel`
A connected stream channel assembled from a stream source and stream sink.
Methods in org.xnio.channels that return types with arguments of type AssembledStreamChannel
Modifier and Type
Method
Description
`ChannelListener.Setter<? extends AssembledStreamChannel>`
AssembledStreamChannel.`getCloseSetter()`
`ChannelListener.Setter<? extends AssembledStreamChannel>`
AssembledStreamChannel.`getReadSetter()`
`ChannelListener.Setter<? extends AssembledStreamChannel>`
AssembledStreamChannel.`getWriteSetter()`